Welcome to EMS SQL Studio!

SQL Management Studio for SQL Server is a complete solution for database administration and development. Whether you are a database or application developer, DBA or business analyst, SQL Studio offers all essential tools to make you more productive than ever before. SQL Studio unites these tools in one powerful and easy-to-use work environment.

SQL Studio provides the must-have tools for administering databases and managing database objects as well as for database migration, comparison and extraction, data import, export and comparison.

Visit our web-site for details: https://www.sqlmanager.net/

Documentation in other languages can be found at: https://www.sqlmanager.net/products/studio/mssql/downloads

Key features

  • Handy launch of utilities and services
  • Storing all templates in a single repository
  • Common data source list for all services and utilities
  • Creating of complicated branched scripts
  • Ability to run external applications from scripts
  • Storing of all script execution logs in one database
  • Scheduled script execution
  • Creating of customized notifications; various ways to send them out
  • Fast access to Technical Support Service
  • One way to customize the appearance for all apps

and more...

Benefits

  • All database tasks take little time to launch, leaving you to focus on the result
  • With single template repository your work with utilities is as simple as it gets
  • Flexible scripts result in massive time savings, doing all routine jobs for you
  • Script scheduling will automate routine tasks
  • Notification e-mails will let you stay up-to-date and react fast
  • All logs are stored in one place, putting you totally in charge of all operations
  • Visual interface style is set uniquely for all products for your convenience

and more...

Product information

Homepage: | https://www.sqlmanager.net/products/studio/mssql
Support Ticket System: | https://www.sqlmanager.net/support
Register on-line at: | https://www.sqlmanager.net/products/studio/mssql/buy


What's new

SQL Management Studio for SQL Server
  • Index
  • « Prev
  • Next »

What's new?

Version

SQL Management Studio for SQL Server 1.3

What's new in SQL Management Studio for SQL Server?

  • Added new services in SQL Management Studio for SQL Server: Check Database, Indices Management, Shrink Database and Update Statistics.
  • There was an issue concerning installation on disks having more than 2Tb of free space. Fixed now.
  • The default folder for logs now points to the user's profile.
  • The network notifications (NetSend) did not work on Windows Vista and newer. Fixed now.
  • SQL Studio Agent utilized 100% of CPU when the task generated a large log. Fixed now.
  • The running processes are now stopped correctly when updating.
  • Wrong encoding of logs with enabled localization has been fixed.
  • Lots of other improvements and bug-fixes.


System requirements

System requirements for SQL Management Studio for SQL Server

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Server 2019, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11
  • 140MB of available HD space for program installation
  • Microsoft Data Access Components (MDAC) or SQL Server Native Client
  • Possibility to connect to any local or remote SQL Server™


Installation

SQL Management Studio for SQL Server
  • Index
  • « Prev
  • Next »

Product Installation

If you are installing SQL Studio for the first time on your PC:

  • download the SQL Studio distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run msstudio.msi from the local directory and follow the instructions of the installation wizard;
  • after the installation process is completed, find the SQL Studio shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of SQL Studio to the latest version:

  • download the SQL Studio distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close SQL Studio application if it is running;
  • run msstudio.msi from the local directory and follow the instructions of the installation wizard.

During the installation process you will be offered to select either to run SQL Studio as an application or a service.

Installed as a service, SQL Studio will run independently of the user account currently logged in and will use the Windows user account User name and Password specified during the installation process.

Note: Use DOMAIN_NAME\USER_NAME format to specify a domain user account.

Please note that the service should be run under the Windows user account the SQL Management Studio for SQL Server application will be used.

In order to install the program in the silent mode as an application you should execute the following command:

msiexec.exe /i /quiet xxstudio.msi

In order to install the program in the silent mode as a service execute the following command:

msiexec.exe /i /quiet xxstudio.msi SERVICE_INSTALL=1 SERVICE_USERNAME="computer_name\user_name" SERVICE_PASSWORD="password"

Please remember that the User account must be defined with the domain name or the computer name, as it is shown in the example above. You can use the ".\user_name" format as well.

See also:

System requirements


Registration

All purchases are provided by PayPro Global registration service. The PayPro Global order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

PayPro Global is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer.

If you want to review your order information, or you have questions about ordering or payments please visit our PayPro Global Shopper Support, provided by PayPro Global.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys. Also you will receive a copy of registration keys by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

To obtain MORE INFORMATION on this product, visit us at https://www.sqlmanager.net/products/studio/mssql

Product distribution | PayPro Global
SQL Management Studio for SQL Server (Business license) + 1-Year Maintenance* | Buy Now!
SQL Management Studio for SQL Server (Business license) + 2-Year Maintenance*
SQL Management Studio for SQL Server (Business license) + 3-Year Maintenance*
SQL Management Studio for SQL Server (Non-commercial license) + 1-Year Maintenance*
SQL Management Studio for SQL Server (Non-commercial license) + 2-Year Maintenance*
SQL Management Studio for SQL Server (Non-commercial license) + 3-Year Maintenance*
SQL Management Studio for SQL Server (Trial version) | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires, you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register SQL Studio


How to register SQL Studio

Having installed SQL Management Studio for SQL Server you will be offered a 30 days evaluation period. The trial version of the software stays fully functional with some minor functional limitations. During all trial period the dialog like displayed below will appear.

Welcome to SQL Studio - Unregistered copy

After the trial period is expired, you will not be able to evaluate the software. Further usage of your SQL Management Studio for SQL Server copy is only available after purchase and registration.

You can register your copy of SQL Management Studio for SQL Server do it by selecting the Help | Register SQL Studio main menu item or by selecting the Help | About main menu item and pressing the Register Now button to call the Register SQL Management Studio for SQL Server dialog.

Welcome to SQL Studio - About

To register your newly purchased copy of EMS SQL Management Studio for SQL Server, perform the following steps:

  • receive the notification letter from PayPro Global with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About SQL Management Studio for SQL Server dialog (use the Help | About main menu item to open this dialog).

Welcome to SQL Studio - Register product

The Registration Key you receive includes Maintenance license which is valid during a definite period. After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/Renewal you will receive a confirmation e-mail with all the necessary information.


EMS SQL Studio FAQ

Please read this page attentively if you have questions about EMS SQL Management Studio for SQL Server.

Table of contents

Product questions

  • What is EMS SQL Management Studio?
  • SQL Studio embraces a variety of capabilities, but will I need them all? Is there a simpler product?
  • What do I need to start working with SQL Studio?
  • Many utilities that are included in SQL Studio are also offered as stand-alone products. What are the advantages of purchasing them within the Studio?

DB registration and connection

  • Can I work with several databases simultaneously?
  • Why does SQL Studio use a single registered database repository?
  • How to connect to a named instance of SQL Server in SQL Manager?
  • When connecting to SQL Server, I get the following error: "SQL Server does not exist or access denied". What is wrong?
  • How to reinstall Microsoft Data Access Components (MDAC)?
  • I can access my server via an alternative port. I have searched for a setting in EMS SQL Manager for SQL Server to alter the connection port, but have not yet been able to locate this. How would I go about altering this port?
  • I work behind a firewall (router). Can I use SQL Studio to manage a remote SQL Server?

Objects manipulation

  • Which database objects will be accessible through SQL Studio?
  • I have over a million records in the table, yet the data grid displays only 1,000 of them. What is the problem?
  • How can I speed up my work with large tables?
  • Which operations can I perform over database objects?
  • When creating a table like 'TestTable', it will get stored as 'testtable'. How can I get objects stored as I create them using SQL Manager?
  • How can I customize data formats in a grid?
  • My database uses a "Greek" codepage. In data grid view all information is displayed at "??????". What is wrong?
  • I can't modify DDL. Why?

Query

  • I'm new to SQL, and I can hardly compose the SQL statements by hand. Does SQL Studio have a visual query builder like in MS Access?
  • Can I use the visual query builder in STUDIO to build the complex queries with unions and subqueries?
  • Can I save a created query for future use?
  • Can I run a query from the command line?
  • Can I save a query result into a CSV or an XLS file?

Reports management

  • How can I create a report?
  • How can I create a report based on a query?
  • Can I save my report as HTML, Excel or Word?

Data manipulation

  • What is the difference between the Export/Import functions in SQL Studio and stand-alone SQL Manager?
  • I need to import data from a CSV file. How can I do it with the help of SQL Studio?
  • How can I change the default directory where exported data will be saved?
  • For which purpose are the console versions of the utilities for manipulating data included in SQL Studio?
  • I have a database in MS Access. I want to migrate to the remote SQL Server database. How can I do it with the help of SQL Studio?
  • I have a ODBC data source. Can I migrate from it to SQL Server?
  • From which databases can I migrate to my database server with the help of SQL Studio?
  • I am working on an application. The database structure is already created. How can SQL Studio help me to fill the database with test data?
  • My database contains many relations between tables and other constraints. Will SQL Studio consider them while generating test data?

Data analysis

  • I need to find the differences in the metadata of two databases and then synchronize them. How can SQL Studio help me with this task?
  • I need to find the differences in the data between the existing database and its yesterday's backup. What should I do?
  • Can I start synchronization of metadata or data from the command line?
  • Can SQL Studio synchronize my database with a database of another DBMS?

Backup/Restore

  • What Backup capabilities does SQL Studio provide?
  • Is it possible to restore the backup on one server while it was created on another one?
  • What is the difference between Extract and Backup functions in SQL Studio?
  • To which devices can a backup be created and where should these devices be located?

Templates management

  • What are the templates used, for example, in export/import? What are they for?
  • Where are SQL Studio templates located?
  • If I delete a template from the list in SQL Studio, will it be deleted from the hard disk?
  • How can I create a new template for Import?

Scheduler

  • I need to perform certain operations on my database (export from one database, import of those data to another one, backup of both databases) outside business hours (at night). Does SQL Studio provide any solution for this?
  • How do I configure a task so that I receive an e-mail notification at the defined address in case of the task failure?
  • Can the task process be changed depending on the results of the task steps?
  • How can I view the information on the performed tasks?
  • What will happen if during a task execution the running application cannot terminate (critical error, does not respond)? Will the task execution stop?
  • What do I need to work with Task Scheduler?
  • What will happen if, after running the computer, Task Scheduler finds the tasks that should have been executed in the past, but it has not happened?

Logs management

  • It is important for me to get the information from log files of applications executed by the Task Scheduler? Does SQL Studio save these log files?
  • The external application that is executed in one of the tasks does not have a log file, but only a screen log. How can I save the data from the screen?
  • How long are log files stored in SQL Studio?

Localization

  • What interface localizations are available in SQL Studio?

Question/answer list

Product questions

Q: What is EMS SQL Management Studio?

A: EMS SQL Management Studio is a complete solution for database administration and development. SQL Studio is an integrated suite of powerful database management tools united in one easy-to-use work environment. Developers will appreciate its ability to create/edit/drop any database objects and will find metadata and data comparison, data export/import and test data generation tools extremely helpful. Database migration, backup and restore tools will be of great help to DBAs. The Scheduler will automate a sizeable part of DBA's work.

Q: SQL Studio embraces a variety of capabilities, but will I need them all? Is there a simpler product?

A: This question naturally comes if you are new to database administration and development. It might not be immediately obvious why you would need so many different tools. We would like to point out that your experience will build up day in and day out, you will face new, more complicated tasks and you will need more tools to solve them. SQL Studio embraces ALL must-have tools for DBAs and developers. And it will be in line with your growing expertise! Besides, once you familiarize yourself with SQL Studio tools, you will be able to find the simplest, most suitable and reliable solutions to your tasks! We do realize that our product is used not only by experts, that is why we included plenty of Wizards that will make the job easy and enjoyable even for a newbie. The Studio interface is designed so that the component tools are called only when needed, not to hinder your work. Our experience shows that the majority of our customers get used to our products really fast, and we have never received any downgrade requests.

Q: What do I need to start working with SQL Studio?

A: In order to start working with SQL Studio, you need to download the installation package from the download page available at our site. Then run the installation file on a MS Windows workstation (see System requirements for details). When the installation is finished, the program is ready to be used in the trial mode. You can evaluate the trial version for 30 days. This is the time for you to make a purchasing decision. You can purchase the Studio here. After the payment is complete, your will receive your registration information via e-mail (see How to register SQL Studio for details)

Q: Many utilities that are included in SQL Studio are also offered as stand-alone products. What are the advantages of purchasing them within the Studio?

A: Indeed, in order to perform some simple task, you can purchase a separate EMS utility or a few of them. Yet, if you purchase these utilities within the Studio, you receive additional functionalities. First of all, you will be able to launch the Studio components from Task Scheduler. That is, you can set the order to run the tools in, set the parameters to be used, the time and/or time intervals for the task to be performed and go to play a bowling game :) Task Scheduler will fulfill all your tasks, save the logs for the performed operations and will notify you by e-mail about the successful/unsuccessful task completion. Task Scheduler will help you to really automate the majority of your DB service tasks. Secondly, you will be able to store all registered Databases in one repository. Thus, you will need to register your data source once and will be able to use it in all Studio tools. This will save your time and reduce an error chance to the minimum. The third equally important benefit is the pricing. When purchasing the tools within SQL Studio, you pay a lot less, compared to purchasing them as separate products. You will receive up to 40% off the original price!

Scroll to top

DB registration and connection

Q: Can I work with several databases simultaneously?

A: Yes, SQL Studio allows you to work with an unlimited number of databases at the same time. Once the database is registered at the database source repository correctly, you are ready to use it.

Q: Why does SQL Studio use a single registered database repository?

A: The single registered database repository allows one database to be accessed with all SQL Studio tools. If you purchased our product suites (bundles) previously, you had to enter the database information in each tool you used. That eventually led to massive time wasting and typing errors. Now the problem is solved in the Studio with the help of the single registered database repository.

Q: How to connect to a named instance of SQL Server in SQL Manager?

A: To connect to a named instance of SQL Server 2005, just enter the instance name after the host name and a back slash symbol in the 'Host name' field of the Database Registration Info dialog. (For example: my_server\my_instance.)

To connect to a named instance of SQL Server 2000:

  • run SQL Server Client Network Utility (WINDOWS\SYSTEM32\cliconfig.exe) on the client computer where SQL Studio (particularly EMS SQL Manager for SQL Server) is running;
  • proceed to the second (Alias) tab of the Utility;
  • add a new server alias with the Server Name in the following format: <server_name>\\<instanse_name>, and TCP/IP as Network library;
  • use the server alias name as host name in SQL Studio.

Q: When connecting to SQL Server, I get the following error: "SQL Server does not exist or access denied". What is wrong?

A: Probably, your SQL Server is installed as a named instance (see Q. How to connect to a named instance of SQL Server in SQL Manager?). Besides, the following factors can be the reasons for connection problems:

  • You are trying to connect to SQL Server beyond your local network, through firewall (see Q. I work behind a firewall (router)...)
  • Wrong login/password. Either you use SQL Server Authentication, and this authentication type is forbidden on the server, or you use Windows Authentication to connect to the server, but the login that corresponds to your domain name is absent on SQL Server
  • MDAC works incorrectly (see Q. How to reinstall Microsoft Data Access Components (MDAC)?)
  • SQL Server works on a non-standard (other than 1433) port (see Q. I can access my server via an alternative port...)
  • There are no enabled client connection protocols, or all enabled client connection protocols are disabled on the server side. Use SQL Server Client Network Utility (WINDOWS\\SYSTEM32\\cliconfig.exe) for connection to SQL Server 2000 or lower or SQL Server Configuration Manager to enable the appropriate protocols.

Q: How to reinstall Microsoft Data Access Components (MDAC)?

A: Please use the following instructions:

  • If you use Windows XP without SP2, please download the latest version of MDAC at http://www.microsoft.com/downloads/ and install it.
  • If you use Windows XP with SP2, follow the instructions below:

Right-click on C:\Windows\Inf\mdac.inf and choose "Install".

When prompted for the XP SP2 media, point to the i386 folder in one of these places:

1. The \i386 folder on the XP SP2 CDROM. If you are unlucky enough to have a CDROM that has XPSP2.EXE in the root of the CDROM, and no \i386 folder, then you will have to create an i386 folder using a command like this, XPSP2.EXE /X:C:\XpSp2. Then point to C:\XpSp2\i386.

2. The \i386 folder on a slipstreamed XP SP2 installation CDROM.

When prompted for the XP installation media, point to the i386 folder in one of these places:

1. C:\Windows\ServicepackFiles\i386 (it may not like this location, if not, go to the next one)

2. The \i386 folder on your XP installation CDROM. This reinstalls and repairs MDAC.

Q: I can access my server via an alternative port. I have searched for a setting in EMS SQL Manager for SQL Server to alter the connection port, but have not yet been able to locate this. How would I go about altering this port?

A: To connect to SQL Server 2005 running on an alternative port, do the following:

  • run SQL Server Configuration Manager (it is installed with Native Client) on the client computer where SQL Manager is running;
  • select the SQL Native Client Configuration | Aliases node;
  • add a new server alias and set the port number, TCP/IP as the protocol and the server name;
  • use the server alias name as the host name in the Database Registration Info dialog of EMS SQL Manager.

To connect to SQL Server 2000 (or earlier) running on an alternative port, do the following:

  • run SQL Server Client Network Utility (%Windows_directory%\system32\cliconfg.exe) on the client computer where SQL Manager is running;
  • proceed to the second (Alias) tab of the Utility;
  • add a new server alias and set the server name, port number and TCP/IP as Network library;
  • use the server alias name as the host name in the Database Registration Info dialog of EMS SQL Manager.

Q: I work behind a firewall (router). Can I use SQL Studio to manage a remote SQL Server?

A: Yes, but in order to do this, you should open the port where SQL Server works (1433 by default) on your firewall and on the firewall of the remote machine.

Scroll to top

Objects manipulation

Q: Which database objects will be accessible through SQL Studio?

A: You can work with any objects in SQL Server databases such as tables, fields, indices, views, stored procedures, functions, triggers, etc.

Q: I have over a million records in the table, yet the data grid displays only 1,000 of them. What is the problem?

A: Please select the "Select all records from a table" option within the Grid section of Environment Options dialog in SQL Manager for SQL Server. Note that fetching all records from a table may require considerable time.

Q: How can I speed up my work with large tables?

A: For your convenience and to speed up your work, the Data Grid allows customizing a number of data display parameters. Here are the most important of them (accessible through the Grid | Data Options section of the Environment Options dialog):
- Limit options in table and view editors. The 'Select all records of a table' option will enable you to see all table records without extra references to the server, yet in case of large tables or low speed connection channel the data may be fetched with huge delays and the incoming traffic might grow considerably. This mode is recommended when working with local databases or in a private network. The 'Select only' mode restricts the maximum number of records returned after the query. A man cannot process a massive amount of information at once. Hence, we came up with this mode. This mode speeds up table data viewing considerably, prevents hanging and connection timeout. It is recommended to work with large tables, in case of low speed connection channels and when the traffic volume is of importance. This is the default mode. When in this mode, enabling the 'Use SQL sorting in data view' and 'Use SQL filter in data view' options comes really helpful.
- Default Grid Mode. This option defines whether the requested rows will be loaded in the Grid all at once ('Load all rows'), or in parts ('Load visible rows') as the user scrolls down table data. The first mode increases the query opening time, but speeds up scrolling. In the second mode the query opens very fast, but there might be delays when navigating the grid.
- Use SQL sorting in data view. With this option enabled, when the user sets data sorting, a new request is sent to the server, and the result is shown anew in the Grid. Enabling this option is very helpful with the 'Select only' mode enabled, but it increases the traffic. When this option is disabled, sorting is made on the client computer without any references to the server but only loaded data are sorted. That is, if you set 'Select only 1,000 records', then only these records will be sorted.
- Use SQL filter in data view. With this option enabled, the data will be sorted on the server to which a new request is sent, and the result will be shown anew in the Grid. Enabling this option is also helpful when the 'Select only' mode is on, but it increases the traffic. When this option is disabled, the filtering is made on the client computer without any references to the server but only loaded data are filtered. That is, if you set 'Select only 1,000 records', then only these records will be filtered.
We recommend that you set the following option values to achieve maximum efficiency when working with large tables:
- Select only – ON
- Load visible rows – ON
- Use SQL sorting in data view – ON
- Use SQL filter in data view – ON

Q: Which operations can I perform over database objects?

A: You can create new objects, drop and edit the existing ones. You can also copy the objects from/to databases located on one or different hosts.

Q: When creating a table like 'TestTable', it will get stored as 'testtable'. How can I get objects stored as I create them using SQL Manager?

A: Please try to switch off the "Convert created objects' names to lower case" option within the Object Editors section of the Environment Options dialog.

Q: How can I customize data formats in a grid?

A: You can customize all display formats: integer, float, date, time and datetime using the Color & Formats page of the Environment Options dialog in SQL Manager for SQL Server.

Q: My database uses a "Greek" codepage. In data grid view all information is displayed at "??????". What is wrong?

A: You need to set up the "Client charset" parameters to make the server return the information to the client (our program) in the needed code page. Please, open the Database Registration Info window and specify the "Client Charset" option to '"greek (ISO 8859-7 Greek)".

Q: I can't modify DDL. Why?

A: The DDL tabs of the SQL Studio editors are read-only. To modify an object, you can copy the text to the clipboard and modify it using SQL Editor or SQL Script.

Scroll to top

Query

Q: I'm new to SQL, and I can hardly compose the SQL statements by hand. Does SQL Studio have a visual query builder like in MS Access?

A: Yes, SQL Studio offers a powerful Query Builder that allows newbies to build complex queries visually, and drastically saves time for advanced users. All you need to do is to specify the tables that will be used in the query, their relations and the query conditions for the data you want to get. Visual Query Builder will generate the text of the query for you. You will only need to run it. You can see the result of your query and make corrections if necessary. The changes can be made from the visual builder or from the text editor. As changes made in visual query builder, the text editor will display them too and vice versa.

Q: Can I use the visual query builder in STUDIO to build the complex queries with unions and subqueries?

A: Yes, visual Query Builder can build complex queries including UNION operator and subqueries.

Q: Can I save a created query for future use?

A: Yes, of course. SQL Studio can save the needed query in the following ways:

1. ALL executed queries are automatically saved in the History. You can view the History and execute or edit any query you need.

2. You can add the frequently used queries to the list of Favorite queries.

3. You can save any query as an SQL-script into a file on your hard drive and load it when needed, or execute it with a command line SQL script tool.

4. You can save your query as a chart. In this case after the query is loaded into SQL Studio, the the chart will be displayed the way it has been created. SQL Studio allows you to save the query chart as a bitmap image.

Q: Can I run a query from the command line?

A: Yes, SQL Studio offers SQL Script tool for this purpose. It can also run a script from a file saved on your hard drive. This feature allows you to create queries and schedule their execution using Task Scheduler. Task Scheduler allows you to run your query when you need it and notifies you when done.

Q: Can I save a query result into a CSV or an XLS file?

A: Yes, SQL Studio has a powerful tool for exporting your data (including the query results). You can export the result dataset to MS Access, MS Word, CVS, XLS, HTML, RTF, DBF, XML and other formats. To ease the exporting procedure, Export Data tools are implemented.

Scroll to top

Reports management

Q: How can I create a report?

A: To create a report, you can use the Create Report Wizard or the Report Designer tool in SQL Manager for SQL Server. To create a report based on a query, see Q. How can I create a report based on a query?

Q: How can I create a report based on a query?

A: To create a report based on a query, you can use the Create Report Wizard in SQL Manager for SQL Server. You need to choose Master Data band on the second step of the wizard, double-click on it or click the Edit button and specify the query for your report. After that you need to set options in other steps of the wizard and press Finish.

Q: Can I save my report as HTML, Excel or Word?

A: Yes, open the report by double-clicking on it in the DB Explorer of SQL Manager and select the 'Save report as' item in the Navigation bar or toolbar, and specify the format you want to save to in the "Save as type" field.

Scroll to top

Data manipulation

Q: What is the difference between the Export/Import functions in SQL Studio and stand-alone SQL Manager?

A: The Data Export/Import tools of SQL Studio include some additional features which are not available in SQL Manager for SQL Server, such as:

  • export/import data from/to several tables simultaneously;
  • export/import data from/to tables selected from different databases on one host;
  • a command-line utility to export/import data using the configuration file with all the export/import options;
  • a single registered database repository.

Q: I need to import data from a CSV file. How can I do it with the help of SQL Studio?

A: You can use Import Data Wizard for this purpose. It will help you to set all the necessary import parameters. Moreover, you can save these settings as a template and use them in the future. Besides, you can also import from MS Excel, MS Access, DBF, XML, TXT and other formats.

Q: How can I change the default directory where exported data will be saved?

A: Follow the steps below to change the default directory:

1. Right-click the database alias in DB Explorer and select the 'Database Registration Info...' context menu item (you can also find this item in the 'Database' main menu) to open the Database Registration Info dialog.

2. Proceed to the Directories section within the dialog.

3. Set the 'Default directory for Export Data'.

Q: For which purpose are the console versions of the utilities for manipulating data included in SQL Studio?

A: The main function of the console versions of SQL Studio tools is execution of some service operations with the database without a user involved. All console tools support configuration files (templates) that are created in the corresponding GUI versions. The template file contains all information necessary for working with the console version. With the help of the console version and a template file you can create a task in the Task Planner and set the necessary time and/or period for execution. Of course, you can use the console versions of SQL Studio tools in your own automatic applications.

Q: I have a database in MS Access. I want to migrate to the remote SQL Server database. How can I do it with the help of SQL Studio?

A: You can use Data Pump for SQL Server for this purpose. To launch Data Pump from SQL Studio, select the Data Manipulation tab and click on Data Pump for SQL Server, or select Start -> Programs -> EMS -> SQL Studio for SQL Server -> Data Pump for SQL Server. We recommend that you use Microsoft Jet 4.0 OLE DB Provider to connect to your MS Access database.

Q: I have a ODBC data source. Can I migrate from it to SQL Server?

A: ODBC (Open Database Connectivity) is an open standard interface to access databases developed by Microsoft. Most database management systems have their own ODBC driver or the one produced by other software developers.

To migrate from a ODBC data source, you need to use Data Pump for SQL Server. To launch Data Pump from SQL Studio, select the Data Manipulation tab and click on Data Pump for SQL Server, or select Start -> Programs -> EMS -> SQL Studio for SQL Server -> Data Pump for SQL Server. When working with the utility, you should use OLE DB Provider for ODBC Drivers to connect to your ODBC data source.

Q: From which databases can I migrate to my database server with the help of SQL Studio?

A: With the help of Data Pump for SQL Server you can migrate from any databases to which you can connect using OLE DB Provider (for example SQL Server, Oracle, MS Access, DB2, etc.) and ODBC Driver (MySQL, PostgreSQL, InterBase, Firebird, dBase files, etc.)

Q: I am working on an application. The database structure is already created. How can SQL Studio help me to fill the database with test data?

A: SQL Studio has a powerful instrument for generating test data - Data Generator for SQL Server. The wizard will help you to set such parameters as the amount of records to be generated, range value for each field, the quantity of lines with NULL value and others. Data Generator performs various algorithms including random or increment data generation as well as the one according to the given list of values and many others. And of course, it is possible to save all these settings as a template for future use.

Q: My database contains many relations between tables and other constraints. Will SQL Studio consider them while generating test data?

A: Yes, of course. When generating test data, the Data Generator module of SQL Studio takes into consideration all relations and restrictions that already exist in your database.

Scroll to top

Data analysis

Q: I need to find the differences in the metadata of two databases and then synchronize them. How can SQL Studio help me with this task?

A: There is a tool specially designed for this purpose - DB Comparer for SQL Server available in the Data Analysis group of SQL Studio. Its interface is simple and user-friendly, but the results of its work are quite impressive! You only need to choose two databases to compare metadata and set some additional parameters, such as database objects to compare, direction of synchronization and others. The result of DB Comparer's work will be a list of differences in the metadata of these two databases and a script, with the help of which you can synchronize the databases. Besides, you can synchronize each difference separately, using only the needed changes in the required order. Do you remember how much time you spent searching for the single field added to the table two months ago? :)

Q: I need to find the differences in the data between the existing database and its yesterday's backup. What should I do?

A: There is a tool specially designed for this purpose - Data Comparer for SQL Server available in the Data Analysis group of SQL Studio. You should specify the existing working database as a source database. Then specify the database of the yesterday's backup as a target database (you should first restore it on any available SQL Server). Now choose data in which tables you would like to compare and follow the other steps of the wizard. Mind, that Data Comparer allows comparing data in tables with non-identical metadata. After the comparison is complete you will see the list of differences between your databases and will be asked if you would like to synchronize data from source to target or from target to source. You can save SQL script that performs synchronization in a separate file and run it later with the help of SQL Script tool (probably using the Task Planer).

Q: Can I start synchronization of metadata or data from the command line?

A: Yes, for this purpose you can use the console versions of our utilities - DB Comparer Console Application and Data Comparer Console Application. All console tools support configuration files (templates) that are created in GUI versions of the programs. The template file contains all the information necessary for working with the console tool. With the help of the console version and the template file you can easily perform synchronization from a command line without setting a great number of parameters manually.

Q: Can SQL Studio synchronize my database with a database of another DBMS?

A: This feature is not supported by our utilities as they allow synchronizing data and metadata only between one database engine, that is between SQL Server and SQL Server.

Scroll to top

Backup/Restore

Q: What Backup capabilities does SQL Studio provide?

A: SQL Studio offers several methods of creating database backups.

  • Using Backup Database service

You can create a full or differential backup of a database, as well as a backup of transaction log. You can create a backup of the whole database or of some separate files. This method is highly reliable. While a backup is created, the users can continue their work with the database – the data integrity is ensured. A backup can be created to a logical backup device, a file, a tape or to a named pipe. In all the cases the device should be placed on the server or in the local network where the server is installed. The path to the device is defined from the server side. To use the network devices, SQL Server Service should be launched from the user name that has access to the device.

To call this service, open the Database Management tab in SQL Studio and select the Backup Database item of the Services group.

To call this service from SQL Manager for SQL Server, use the Services | Backup Database... main menu item.

In order to restore a database or transaction log from backups created with this method, use the Restore Database service. This service enables you to restore your database to the file of the existing database or create a new database on the basis of the existing backup copy. In the second case you should define new names for the database to restore.

To call this service, open the Database Management tab in SQL Studio and select the Restore Database item of the Services group.

To call this service from SQL Manager for SQL Server, use the Services | Restore Database... main menu item.

  • Using DB Extract for SQL Server or Extract Database Wizard of SQL Manager for SQL Server

Both tools create backup copies of the whole database or of user-specified objects in the form of SQL script. The generated script contains Data Definition Statements and Insert Data commands. The main advantages of this method are the complete or partial backup of the database structure and data and flexible customization possibility. However, with this method creating back up copies of large databases is time and traffic consuming.

To call DB Extract, open the Data Analysis tab in SQL Studio and select DB Extract for SQL Server.

To call Extract Database Wizard, open SQL Manager for SQL Server and select the Tools | Extract Database main menu item.

In order to restore the database from the script, you need to run this script on the SQL Server. Please use SQL Script available in SQL Studio or SQL Script tool of SQL Manager for SQL Server.

  • Using Data Export for SQL Server

This method can be used to back up data from any tables. Please use it if you need to save only data but not the database structure. We would recommend to use CSV format to back up data.

To call Data Export, open the Data Manipulation tab in SQL Studio and select Data Export for SQL Server.

To call Data Export Wizard from SQL Manager for SQL Server, open your table in Table Editor, proceed to the Data tab and select 'Export Data'.

In order to restore data from the file created with this method, you can use Data Import for SQL Server or Data Import Wizard of SQL Manager for SQL Server.

To learn about the differences between Data Import for SQL Server and Data Import Wizard of SQL Manager for SQL Server, see Q. What is the difference between...

Q: Is it possible to restore the backup on one server while it was created on another one?

A: Please observe the following cases:

  • You can restore a backup file created with Backup Database service on any server that has the same or higher version than the one where this backup was created.
  • You can restore a backup file created by DB Extract for SQL Server or with the help of Extract Database Wizard of SQL Manager for SQL Server on any server that has the same version where this backup was created.
  • You can restore the data backed up with the help of Data Export for SQL Server or Export Data Wizard of SQL Manager for SQL Server to a table on any version of SQL Server.

Q: What is the difference between Extract and Backup functions in SQL Studio?

A: Backup Database service can perform the following:

- create a backup of a whole database;

- create a differential backup of a database;

- create a backup of separate files and groups of files;

- create a differential backup of separate files and groups of files;

- create a backup of a transaction log.

This method cannot be used for creating backups of separate database objects or schemes. A backup is always saved on the server. If backups of transaction logs are available, you can restore a database at a definite time moment.

DB Extract for SQL Server or Extract Database Wizard of SQL Manager for SQL Server creates backups either of a whole databases or of separate objects or schemes in a form of SQL script. A backup is saved on the client side. You can restore data only at the time when this backup was created. Thus, Backup Database service uses SQL Server capabilities to create database backups, it is highly reliable, but it cannot place backup files in any client directory. It is recommended to use this method for backing up a whole database. The main advantages of creating backups with the help of DB Extract for SQL Server are that you can save structure and data of some specific database objects or schemes and that backup copy is created on the client side. The weak point of this method is much time and traffic that are required for creating backups of large databases, as well as lower reliability.

Q: To which devices can a backup be created and where should these devices be located?

A: A backup copy can be created in a logical backup device, a file, on the tape or in the named pipe. In all the cases the device should be placed on the server or in the local network where the server is installed. The path to the device is defined from the server side. To use the network devices, SQL Server Service should be launched from the user name that has access to the device.

Scroll to top

Templates management

Q: What are the templates used, for example, in export/import? What are they for?

A: Templates in SQL Studio are intended for storage of the parameters required for running SQL Studio tools. Using the templates you will be able to repeatedly perform one and the same operation without a need to enter 10-20 wizard parameters each time. The parameters stored in a template can be easily modified, or you can create a new template based on the existing one.

Q: Where are SQL Studio templates located?

A: A template is a file that can store necessary parameters in certain format. Template files can be located anywhere on your PC. To simplify the task of template storage and search, SQL Studio provides Template Manager. The Manager allows you to register the necessary templates in SQL Studio and not to worry anymore about the place where you saved them to. When you create a new template in SQL Studio the Template Manager automatically remembers its location on the disk. All the registered templates are grouped by the tools they are intended for and will be at your disposal any time. To run a tool with the selected template, you will just need to double-click the template.

Q: If I delete a template from the list in SQL Studio, will it be deleted from the hard disk?

A: Template Manager allows you to perform both operations: you can either delete a template from the registered template list only, or delete it also from the hard disk.

Q: How can I create a new template for Import?

A: To create a template for the Import tool, you should run the Import tool (Run | Data Import for SQL Server). Then you will need to fill in all the necessary import parameters using the Next button. At the last wizard step you should define the name and location of the newly created template using the Tools | Save Template menu item. See Using templates for more information.

Scroll to top

Scheduler

Q: I need to perform certain operations on my database (export from one database, import of those data to another one, backup of both databases) outside business hours (at night). Does SQL Studio provide any solution for this?

A: Yes, sure. The Studio Scheduler is intended for such situations. The Scheduler can run for execution of the previously created tasks. You can set the time and periodicity for the task execution. Each Task can include an unlimited number of Steps (elementary operations). A Task must include at least one step. In your case you should perform the following:

1. Create new Task

2. Create steps in the Task (Export, Import, etc.). When creating these steps, you will need to indicate in what template files the necessary tool parameters are saved.

3. Create a Scheduled Task in the Scheduler that will use the Task you have just created (1).

Q: How do I configure a task so that I receive an e-mail notification at the defined address in case of the task failure?

A: In the Task editor there is a tab called Alerts. By switching to this Tab you will be able to define the most suitable notification method to be informed of successful task execution and/or of the task failure. The current version of SQL Studio supports the following notification types: Net Send, System App Log (WIN), e-mail.

Q: Can the task process be changed depending on the results of the task steps?

A: Yes. When creating/editing each Task Step, you can define which step should go next. Moreover, for each of the three processed events (successful step termination, erroneous step termination, step termination by time-out) you can indicate a separate variant of the next Task operations.

Q: How can I view the information on the performed tasks?

A: All the information on the Task execution is fixed in the log. In the log you can find not only the information on the Task, but also on the Steps it includes. Moreover, you can view the log file of the attachment executed at a certain step. It is very convenient while analyzing the reasons of the Task/Step failure. The powerful log filters will allow you to display only selected records.

Q: What will happen if during a task execution the running application cannot terminate (critical error, does not respond)? Will the task execution stop?

A: To resolve such conflicts, in every Task Step you can define its time-out. If a Step is being executed longer than it is defined in the time-out, the Step will terminate with the "by time-out" event, and the Task execution goes on according to the algorithm you set.

Q: What do I need to work with Task Scheduler?

A: To work with Task Scheduler, you need to run the Studio Agent (a shortcut in the task bar). Also, your computer should be running during all the time while the tasks will be run.

Q: What will happen if, after running the computer, Task Scheduler finds the tasks that should have been executed in the past, but it has not happened?

A: Those tasks will not be performed.

Scroll to top

Logs management

Q: It is important for me to get the information from log files of applications executed by the Task Scheduler? Does SQL Studio save these log files?

A: Yes, SQL Studio has a convenient tool to work with log files. While creating a Step in the Task, you can specify the location of the log file of the application to be executed. When choosing the tools from SQL Studio, the location of the log file is filled automatically. Log files of the performed steps are saved in the internal SQL Studio database and are available within the Tasks | Logs menu.

Q: The external application that is executed in one of the tasks does not have a log file, but only a screen log. How can I save the data from the screen?

A: If a utility does not have a log file, and the log information is only displayed on the screen (in text mode), then SQL Studio can save these data as a log. To do so, please check the "Save screen to log" box when creating a task.

Q: How long are log files stored in SQL Studio?

A: Log files are stored in SQL Studio during an unlimited period. You can delete the unnecessary log files manually in SQL Studio (within the Logs tab).

Scroll to top

Localization

Q: What interface localizations are available in SQL Studio?

A: The current version of SQL Studio supports the following interface localizations: English, German, French and Russian.

Scroll to top

If you still have any questions, contact us at our Support Center.


Getting Started

SQL Management Studio for SQL Server provides you with an ability to contribute to efficient SQL Server administration and development using a variety of available tools easily and quickly.

The succeeding chapters of this document are intended to inform you about the tools implemented in SQL Management Studio for SQL Server. Please see the instructions below to learn how to perform various operations in the easiest way.

  • Using Studio Agent
  • Selecting application language
  • First time started
  • Working with main menu
  • Working with toolbars
  • Using Desktop Panel
  • Using Navigation bar
  • Using DB Explorer

Enjoy your work with SQL Management Studio for SQL Server!

See also:

Database Management & Manipulation

Scheduling & Performing tasks

Using On-line Resources

Setting program options


Using Studio Agent

SQL Studio Agent is a resident program located in the system tray area which allows you to perform basic SQL Studio operations.

Getting Started - Using Studio Agent

To start SQL Management Studio for SQL Server, you can simply double-click the Agent's icon in the system tray.

Right-click the Agent's icon in the system tray to call the menu allowing you to:

  • open the About window to get information about the program version and registration status;
  • run SQL Studio application or any of its components;
  • execute a custom task;
  • suspend a scheduled Task;
  • set agent options.
  • start/stop Task Scheduler service;

See also:

Selecting application language

First time started

Working with main menu

Working with toolbars

Using Desktop Panel

Using Navigation bar

Using DB Explorer


Selecting application language

SQL Management Studio for SQL Server
  • Index
  • « Prev
  • Next »

Selecting program language

Before you start SQL Studio for the first time, you have to choose the interface language. You can change the program language any time using the Localization tab of the Options dialog (Options | Localization).

Getting Started - Select language

Program Language

Select the interface language from the list of available languages.

See also:

Using Studio Agent

First time started

Working with main menu

Working with toolbars

Using Desktop Panel

Using Navigation bar

Using DB Explorer


First time started

This is how SQL Management Studio for SQL Server looks when you start it for the first time. Use the Desktop panel to fulfill any database management task, or start a utility.

The main menu allows you to perform various Database operations, activate/deactivate toolbars, Navigation bar panes and tool descriptions within the View menu, access SQL Studio tools in groups using items of the Navigate menu, run any Studio tool using the Run menu, customize the application using the Options menu, access Registration information and product documentation using the corresponding items available within the Help menu.

The Navigation bar on the left allows you to switch between the activities in groups:

RadioButton Tools

RadioButton Tasks

RadioButton Internet

The main toolbar duplicates items of the Navigation bar and is implemented for quick access to SQL Studio activities.

To start working with your SQL Server, you should first register the host using Register Host wizard. After that you need to register one or several databases using Register Database Wizard.

By default the corresponding RegisterHost Register / UnregisterHost Unregister Host, RegisterDB Register / UnregisterDB Unregister Database, DBRegistrationInfo Database Registration Info buttons are available on the toolbar of DB Explorer and within the Database menu.

DB Explorer which is located below the Navigation bar displays all registered hosts and databases; you can add and remove items to/from the Explorer tree, browse registration information on hosts and databases and start SQL Server services for selected databases. You can also use this database registration information in utilities integrated in SQL Management Studio for SQL Server.

When the database connection settings are specified, you can set connection to your database and proceed to Database Management & Manipulation, Scheduling & Performing tasks, and other tools of SQL Studio.

See also:

Using Studio Agent

Selecting application language

Working with main menu

Working with toolbars

Using Desktop Panel

Using Navigation bar

Using DB Explorer


Working with main menu

The main menu of SQL Management Studio for SQL Server allows you to perform common operations pertaining to database registration, switch between SQL Server management and scheduling activities, start integrated tools, customize SQL Studio, get product help and misc.

The main menu allows you to perform various Database operations, activate/deactivate toolbars, Navigation bar panes and tool descriptions within the View menu, access SQL Studio tools in groups using items of the Navigate menu, run any Studio tool using the Run menu, customize the application using the Options menu, access Registration information and product documentation using the corresponding items available within the Help menu.

Getting Started - Main menu

Database

Register Database

Starts Register Database Wizard which guides you through the entire process of SQL Server database registration.

Unregister Database

Unregister the selected database and removes its alias from the DB Explorer tree.

Database Registration Info

Opens the Database Registration Info dialog.

Register Host

Starts Register Host Wizard which guides you through the entire process of SQL Server host registration.

Unregister Host

Unregisters the selected host (including all its databases) and removes its alias from the DB Explorer tree.

Exit

Exits SQL Management Studio for SQL Server.

View

Allows you to toggle toolbars (main toolbar, DB Explorer toolbar), panes of the Navigation bar (Tools, Tasks, Internet, Explorer) and tool descriptions.

Navigate

Use this menu to switch quickly between the activities concerned with SQL Server and data management, tasks, scheduling, logs and online resources. These items are duplicated in the Navigation bar and the main toolbar.

Run

This menu allows you to launch any of SQL Studio integrant tools.

Options

Allows you to personalize SQL Studio interface settings and select program language.

Help

Use this menu to browse SQL Studio help system, open user manual, visit the official SQL Studio Home Page and register the program.

If necessary, you can customize the menu according to your preferences.

See also:

Using Studio Agent

Selecting application language

First time started

Working with toolbars

Using Desktop Panel

Using Navigation bar

Using DB Explorer


Working with toolbars

The Main toolbar can be found above the scratch of Desktop Panel. By selecting its corresponding bars you switch between the activities concerned with SQL Server and data management.

By default the main toolbar items represent the following SQL Server and data management activities:

DBManagement Database management

DataManipulation Data Manipulation

DataAnalysis Data Analysis

TemplateManagement Template Management

CustomTasks Custom Tasks

TaskScheduler Task Scheduler

Logs Logs

The toolbar of DB Explorer contains items for the SQL Server database registration repository management:

RegisterHost Register Host

UnregisterHost Unregister Host

RegisterDB Register Database

UnregisterDB Unregister Database

DBRegistrationInfo Database Registration Info

If necessary, you can be customize the program toolbars according to your preferences.

See also:

Using Studio Agent

Selecting application language

First time started

Working with main menu

Using Desktop Panel

Using Navigation bar

Using DB Explorer


Using Desktop Panel

Desktop Panel is the main working area of SQL Management Studio for SQL Server. The content of the Desktop Panel scratch changes dynamically according to the current selection in the Navigation bar of the main toolbar.

Getting Started - Desktop Panel

Using the Desktop Panel items you can:

DBManagement launch the all-in Database management program (SQL Manager for SQL Server) and run basic SQL Server services:

  • Backup Database (with or without a template);
  • Restore Database (with or without a template);
  • Attach Database (with or without a template);
  • Detach Database (with or without a template);
  • Shrink Database (with or without a template);
  • Indices Management (with or without a template);
  • Update Statistics (with or without a template);
  • Check Database (with or without a template);

DataManipulation launch integrated Data manipulation utilities:

  • Data Export for SQL Server (with or without a template, GUI or console version);
  • Data Import for SQL Server (with or without a template, GUI or console version);
  • Data Pump for SQL Server (with or without a template, GUI or console version);
  • Data Generator for SQL Server (with or without a template, GUI or console version);
  • SQL Script for SQL Server (with or without a template, GUI or console version);

DataAnalysis launch utilities implemented for Data analysis:

  • Data Comparer for SQL Server (with or without a template, GUI or console version);
  • DB Comparer for SQL Server (with or without a project file, GUI or console version);
  • DB Extract for SQL Server (with or without a template, GUI or console version);
  • SQL Query for SQL Server;

TemplateManagement manage templates for each of the integrated tools and services;

CustomTasks manage miscellaneous tasks;

TaskScheduler manage scheduled tasks;

Logs manage task logs;

InternetResources use available Internet resources:

  • visit SQL Studio Home Page;
  • browse SQL Studio pages dedicated to Frequently Asked Questions;
  • browse online documentation concerning SQL Studio components;
  • visit SQL Server related resources;

StudioDirect use the SQL Studio Direct feature;

Support get technical support online.

Hint: To activate/deactivate brief descriptions displayed for each tool on the Desktop Panel, you can use the View | Show Tool Descriptions item of the main menu.

See also:

Using Studio Agent

Selecting application language

First time started

Working with main menu

Working with toolbars

Using Navigation bar

Using DB Explorer


Using Navigation bar

Navigation bar is located on the left side of SQL Studio window. It is a convenient tool for quick navigation within SQL Studio activities.

Items available within the Navigation bar panes represent the following SQL Studio tools:

Tools:

  • Database management
  • Data Manipulation
  • Data Analysis
  • Template Management

Tasks:

  • Custom Tasks
  • Task Scheduler
  • Logs

Internet:

  • Internet Resources
  • SQL Studio Direct
  • Support

To activate/deactivate Navigation bar and its panes, you can use the View | Navigation bar main menu items.

See also:

Using Studio Agent

Selecting application language

First time started

Working with main menu

Working with toolbars

Using Desktop Panel

Using DB Explorer


Using DB Explorer

Database Explorer (or DB Explorer) is the basic window of SQL Studio for navigation within registered hosts and databases. The tree-like structure of DB Explorer allows you to manage the hosts and databases and perform everyday operations quickly and easily.

To activate/deactivate DB Explorer, you can use the corresponding View | Navigation bar | Explorer item of the main menu.

By default, DB Explorer is located below the Navigation bar in the lower-left area of SQL Studio window. DB Explorer displays all registered hosts and databases; with its help you can add and remove items to/from the Explorer tree, browse registration information of hosts and databases and start SQL Server services for selected databases. Single registered database repository allows you to use database registration information in all utilities integrated in SQL Management Studio for SQL Server.

Getting Started - DB Explorer

To add a host/database to the DB Explorer tree, select the Database | Register Database / Database | Register Host items of the main menu or use the corresponding items of the context menu. If more convenient, you can use the RegisterDB Register Database / RegisterHost Register Host toolbar buttons.

To remove a host/database from the DB Explorer tree, select the Database | Unregister Database / Database | Unregister Host items of the main menu or use the corresponding items of the context menu. If more convenient, you can use the UnregisterDB Unregister Database / UnregisterHost Unregister Host toolbar buttons.

To view database registration info, select the Database | Database Registration Info item of the main menu or use the corresponding item of the context menu. If more convenient, you can use the DBRegistrationInfo Database Registration Info toolbar button.

See also:

Using Studio Agent

Selecting application language

First time started

Working with main menu

Working with toolbars

Using Desktop Panel

Using Navigation bar


Database Management & Manipulation

All the Database Management & Manipulation abilities provided by SQL Management Studio for SQL Server are classified and divided into several sections. They are:

Database Management

This group allows you to administrate and develop databases with the help of SQL Manager for SQL Server and run SQL Server services.

Data Manipulation

This group represents a variety of utilities for exporting and importing data to/from most popular formats, migrating to SQL Server databases, generating test data and scripting the databases.

Data Analysis

The wide range of abilities provided by this group of tools includes the abilities to compare and synchronize the contents and structure of your databases, create database backups in the form of SQL scripts, as well as analyze and retrieve your data and build queries visually.

Template Management

For your convenience the ability to create new templates and manage existing ones is provided by SQL Management Studio for SQL Server.

These sections can be toggled by clicking the appropriate items of the Navigation bar.

See also:

Getting Started

Scheduling & Performing tasks

Using On-line Resources

Setting program options


Database Management

The Database Management section allows you to administrate and develop databases with the help of SQL Manager for SQL Server and run SQL Server services.

  • Running SQL Manager
  • Using services

Database Management - Desktop Panel

See also:

Data Manipulation

Data Analysis

Template Management


Running SQL Manager

EMS SQL Manager for SQL Server is a powerful tool for SQL Server administration and development. SQL Manager works with SQL Server versions from 7 to 2019 and supports most of the latest SQL Server features. It offers plenty of powerful tools for experienced users to satisfy all their needs.

SQL Manager for SQL Server has a new convenient graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

To run SQL Manager for SQL Server, click its icon or caption on the Desktop Panel.

Database Management - Running SQL Manager

For detailed information on SQL Manager for SQL Server refer to SQL Manager documentation.

See also:

Using services


Using services

SQL Studio integrated features provide easy way to run all native SQL Server services which are intended for database maintenance. The following services and server tools are available:

To run a service, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard with this template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Database Management - Services

Backup Database

Creates backup copies of your SQL Server databases.

Restore Database

Restores SQL Server databases from previously created backups.

Attach Database

Allows you to attach an existing database to the instance of Microsoft® SQL Server™.

Detach Database

Allows you to detach a database from the instance of Microsoft® SQL Server™.

Indices Management

Allows you to perform index management operations in your SQL Server database: reorganizing, rebuilding, disabling.

Shrink Database

Allows you to perform database shrinking on your SQL Server system.

Update Statistics

Allows you to perform the update statistics operation in your SQL Server database.

Check Database

Allows you to perform the check database operation on your SQL Server system.

See also:

Running SQL Manager


Data Manipulation

Data Manipulation represents a variety of tools used for exporting and importing data to/from most popular formats, migrating between SQL Server databases and generating test data for the databases.

  • Running Data Export utility
  • Running Data Import utility
  • Running Data Pump utility
  • Running Data Generator utility
  • Running SQL Script utility

Getting Started - Desktop Panel

See also:

Database Management

Data Analysis

Template Management


Running Data Export

EMS Data Export for SQL Server is a powerful utility to export your data quickly from SQL Server databases to any of 20 available formats, including MS Access, MS Excel, MS Word (RTF), HTML, XML, PDF, TXT, CSV, DBF and more.

Data Export for SQL Server provides you with an easy-to-use Wizard which guides you through all the steps of data export process: you can set export options for each table visually (destination filename, exported fields, data formats, and many others).

Additionally to the GUI version which is implemented in the form of a Wizard application, Data Export for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run Data Export for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Manipulation - Running Data Export

For detailed information on Data Export for SQL Server refer to Data Export documentation.

See also:

Running Data Import

Running Data Pump

Running Data Generator

Running SQL Script


Running Data Import

EMS Data Import for SQL Server is a powerful program to import your data quickly from MS Excel, MS Access, DBF, TXT and CSV files to SQL Server tables.

Data Import for SQL Server provides you with an easy-to-use Wizard which guides you through all the steps of data import process: you can set import parameters, including source data formats for all the fields and destination data formats for the selected fields, commit options, number of records to skip, import mode, etc.

Additionally to the GUI version which is implemented in the form of a Wizard application, Data Import for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run Data Import for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Manipulation - Running Data Import

For detailed information on Data Import for SQL Server refer to Data Import documentation.

See also:

Running Data Export

Running Data Pump

Running Data Generator

Running SQL Script


Running Data Pump

EMS Data Pump for SQL Server is an excellent utility for converting databases and importing table data from an ADO-compatible source (e.g. MS Access or any other database with ADO support) to SQL Server databases. Database conversion becomes as easy as it possible with Data Pump for SQL Server!

Data Pump for SQL Server provides you with an easy-to-use Wizard which guides you through all the steps of migration process: you can build the connection string, select tables, fields and indices for converting, view and edit SQL script for generating the target SQL Server database structure and select tables for data import.

Additionally to the GUI version which is implemented in the form of a Wizard application, Data Pump for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run Data Pump for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Manipulation - Running Data Pump

For detailed information on Data Pump for SQL Server refer to Data Pump documentation.

See also:

Running Data Export

Running Data Import

Running Data Generator

Running SQL Script


Running Data Generator

EMS Data Generator for SQL Server is a powerful utility for generating test data to several SQL Server database tables at once. The application provides a lot of features to generate test data in a simple and direct way.

Data Generator for SQL Server provides you with an easy-to-use Wizard which guides you through all the steps of data generation process: you can define tables and fields for generating data, set value ranges, generate char fields by mask, load values for BLOB fields from files, get lists of values from SQL queries and more.

Additionally to the GUI version which is implemented in the form of a Wizard application, Data Generator for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run Data Generator for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Manipulation - Running Data Generator

For detailed information on Data Generator for SQL Server refer to Data Generator documentation.

See also:

Running Data Export

Running Data Import

Running Data Pump

Running SQL Script


Running SQL Script

SQL Script utility is an easy-to-use tool allowing you to execute your SQL scripts efficiently.

SQL Script for SQL Server provides you with an editor window which allows you to manage your scripts easily.

Additionally to the GUI version, SQL Script for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run SQL Script for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Manipulation - Running SQL Script

For detailed information on SQL Script for SQL Server refer to SQL Script documentation.

See also:

Running Data Export

Running Data Import

Running Data Pump

Running Data Generator


Data Analysis

The wide range of abilities provided by the Data Analysis section includes the abilities to compare and synchronize the metadata and data of your databases, create database backups in the form of SQL scripts as well as analyze and retrieve your data and build your queries visually.

  • Running Data Comparer utility
  • Running Database Comparer utility
  • Running DB Extract utility
  • Running SQL Query utility

Data Analysis - Desktop Panel

See also:

Database Management

Data Manipulation

Template Management


Running Data Comparer

EMS Data Comparer for SQL Server is a powerful and easy-to-use utility for data comparison and synchronization. With flexible customization of the comparison and synchronization process you can select tables and fields for comparison and tune many other options.

Data Comparer for SQL Server provides you with a Wizard which guides you through all the steps of data comparison and synchronization process: you can view all the differences in tables being compared and execute an automatically generated script to eliminate these differences.

Additionally to the GUI version which is implemented in the form of a Wizard application, Data Comparer for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run Data Comparer for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Analysis - Running Data Comparer

For detailed information on Data Comparer for SQL Server refer to Data Comparer documentation.

See also:

Running DB Comparer

Running DB Extract

Running SQL Query


Running Database Comparer

EMS DB Comparer for SQL Server is an excellent tool for comparing SQL Server databases and discovering differences in their structure. A simple and intuitive GUI allows you to work with several projects at once, define comparison parameters, and alter modification scripts. Many other features make your work with our tool easy and fast.

DB Comparer for SQL Server provides you with an easy-to-use GUI environment: you can view all the differences in compared database objects and execute an automatically generated script to eliminate all or selected differences.

Additionally to the GUI version which is implemented in the form of a Wizard application, DB Comparer for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run DB Comparer for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Analysis - Running DB Comparer

For detailed information on DB Comparer for SQL Server refer to DB Comparer documentation.

See also:

Running Data Comparer

Running DB Extract

Running SQL Query


Running DB Extract

EMS DB Extract for SQL Server is a powerful and easy-to-use utility for creating database backups in a form of SQL scripts. It allows you to save metadata of all database objects as well as table data.

DB Extract for SQL Server provides you with a Wizard which guides you through all the steps of metadata and data extraction process: you can select objects and data tables for extraction and tune a number of other extract options.

Additionally to the GUI version which is implemented in the form of a Wizard application, DB Extract for SQL Server includes the console version which is intended for running from Windows command line with a template file name used as the execution parameter.

To run DB Extract for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard. If necessary, you can click the Arrow-down button to open the menu allowing you to specify a template, and run the wizard/console with the template.

To manage configuration files (templates), use the corresponding Manage templates link. In this case you will be redirected to the Template Management section of SQL Studio.

Data Analysis - Running DB Extract

For detailed information on DB Extract for SQL Server refer to DB Extract documentation.

See also:

Running Data Comparer

Running DB Comparer

Running SQL Query


Running SQL Query

EMS SQL Query for SQL Server is a utility that lets you quickly and simply build SQL queries to SQL Server databases. Visual building as well as direct editing of a query text is available. User-friendly graphical interface allows you to connect to databases, select tables and fields for a query, set the selection criteria and much more. You can work with several queries at once, edit queries and view the execution results in several modes and perform any other operations you may need in your work with database queries.

SQL Query utility can be run by clicking its icon or caption on the Desktop Panel.

To run SQL Query for SQL Server, click its icon or caption on the Desktop Panel and follow the steps of the Wizard.

Data Analysis - Running SQL Query

For detailed information on SQL Query for SQL Server refer to SQL Query documentation.

See also:

Running Data Comparer

Running DB Comparer

Running DB Extract


Template Management

For your convenience the ability to create new templates and manage existing ones is implemented. All these operations can be performed with the help of the Template Management section.

  • Managing existing templates
  • Creating new templates

Template Management - Overview

See also:

Database Management

Data Manipulation

Data Analysis


Managing existing templates

The Template Management section allows you to add/remove templates to/from the list, create new templates or delete existing ones. You can select and start the selected tool with a desirable template in a single click as well. The same operations can be performed by using the corresponding items of the context menu.

The Tool or Service drop-down list allows you to filter templates according to the selected SQL Studio tool/service.

Template Management - Managing existing templates

See also:

Creating new templates


Creating new templates

This operation can be started by selecting corresponding context menu item or clicking the appropriate button on the Templates toolbar. Depending on the utility or service for which the template should be created, SQL Management Studio for SQL Server will run the appropriate tool or service dialogs themselves. While working with the steps of wizard, you will be able to enter all settings and save them as a template on the last step.

See also:

Managing existing templates


Scheduling & Performing tasks

All the Scheduling & Performing Tasks abilities provided by SQL Management Studio for SQL Server are classified and divided into several sections. They are:

Customizing tasks

The section provides creating, editing, deleting and immediate launching tasks. Save your time and physical efforts by using batch-like tasks. Create your task easily with the built-in Task Editor. Choose from a number of notifications for your task to monitor its execution.

Scheduling tasks

Need a delayed or regular task execution? This section allows you to set schedules for launching your tasks.

Managing logs

For you to control the task execution process or just browse its results, the Managing logs section is provided. Use the log preview to save your time, apply the powerful filter and sorting options available for the grid.

These sections can be toggled by clicking the appropriate items of the Navigation bar.

See also:

Getting Started

Database Management & Manipulation

Using On-line Resources

Setting program options


Customizing tasks

This section provides creating, editing, deleting and immediate launching tasks. Save your time and physical efforts by using batch-like tasks. Create your task easily in the built-in Task Editor. Choose from a number of notifications for your task to confirm its execution.

To get more information, use the following links:

  • Managing tasks
  • Using Task Editor

When a custom task is launched, the Task Output window displaying the task execution log appears.

Customizing tasks - Task Output

See also:

Scheduling tasks

Managing logs


Managing tasks and task steps

The Custom Tasks section allows you to manage your tasks and task steps efficiently.

Scheduling and Performing tasks - Managing task steps

The list displays the existing tasks as a grid with the following columns: Task Name, Description.

Right-click an item within the list to call the context menu allowing you to add a new task and specify its properties using the Task Editor dialog, edit the selected task, delete a task or launch a custom task.

A custom task can be scheduled or executed directly. To perform an immediate launch of a task, you should select it and click the corresponding button on the toolbar (or use the corresponding context menu item).

If necessary, you can expand and collapse the list of task steps quickly. Use the Expand All / Collapse All context menu items for this purpose.

You can also use the toolbar buttons to add AddTask /edit EditTask / delete DeleteTask a task or task step, move step up MoveStepUp / down MoveStepDown , launch LaunchTask a task, expand ExpandAll / collapse CollapseAll all task steps.

In the Status area at the bottom of the Custom Tasks window you can find brief information pertaining to the currently selected task. It includes the list of task steps, tools involved, further actions on successful task execution and other useful remarks.

If more convenient, you can use SQL Studio Agent to launch tasks. Right-click its icon in the system tray area, then select the Execute Custom Task submenu and tick off the task you need.

See also:

Using Task Editor


Using Task Editor

Task Editor is opened automatically on creating a new task and is available on editing an existing one.

Scheduling and Performing tasks - Task Editor - Steps

First of all, you need to set a name for the new task, or you can modify the name if the task is being edited.

Task properties provided by Task Editor are available within the following tabs:

  • Steps
  • Notifications
  • Description

The Steps tab allows you to specify the steps you need for the task (every task consists of several steps which must be executed in turn).

You can AddStep create a new step, EditStep edit or DeleteStep delete an existing one with the help of the corresponding context menu items or using the toolbar buttons.

Besides, you can change step execution order by using the MoveStepUp Move Step Up and MoveStepDown Move Step Down buttons on the toolbar. The same ability is provided by the context menu of Task Editor.

For more details see Using Step Editor.

In the Status area at the bottom of the Task Editor window you can find brief information pertaining to the currently selected task step. It includes the path to the executable file, used template name, log file path, further actions on successful step execution and misc.

The Notifications tab allows you to be informed about the results of task execution (in addition to SQL Studio Logs): you can set an optional notification.

For more details see Setting notifications.

Any optional text can be set as description for your task. If necessary, you can make your remarks at the Description tab of Task Editor.

See also:

Managing tasks and task steps


Setting notifications

The Notifications tab of Task Editor allows you to set an optional notification of successful and failed task execution. This ability allows you to be informed about each task execution. You can choose between net send, system application log and e-mail notifications.

Scheduling and Performing tasks - Task Editor - Notifications

Use net send operator

Allows you to send notifications via net send. Input the message to be sent to a remote computer in the corresponding editor field.

Note that you must have Messenger service running in order to use this type of notifications. (Windows Control Panel | Administrative Tools | Services | Messenger).

Use system application log

Allows you to write notifications directly into system log. Input the message to be written to the system application log in the corresponding editor field.

Note that in order to view system application log you should open Windows Control Panel | Administrative Tools | Event Viewer | Application.

Use e-mail

Provides sending notifications via e-mail. Input the message to be sent via e-mail in the corresponding editor. Also, you must fill all the necessary fields - Host (the address of the smtp server), port (25 by default) and the destination e-mail address.

Note: You can also use macronames (#START, #STOP, #RESULT) in the text of e-mail notification:

#START is the actual time when task started;

#STOP stands for the time of task finish;

#RESULT reports task result.

Two options for sending notification are available: CheckBox When task succeeds and CheckBox When task fails.

The Test button allows you to check the service by sending a notification message immediately.


Using Step Editor

Step Editor is opened automatically on creating a new task step and is available on editing an existing one.

Scheduling and Performing tasks - Task Editor - Step Editor

Step information

First of all, you need to set a name for the new task step, or you can modify the name if the step is being edited.

Tool settings

Use the drop-down list to select a tool, point out its path, set optional template for the utility and select the location of the log file using the corresponding boxes.

Log settings

Here you can specify the ways of forming SQL Studio log file.

CheckBox Save screen to log

Enables saving all data from the utility screen to SQL Studio log file.

CheckBox Get log from file

Enables usage of the utility log file; all the data contained there will be saved to SQL Studio log file.

Finish actions

Set successful and unsuccessful finish actions. You can choose to proceed to the next step or to a specified one, end task with the report of its successful or unsuccessful ending. Step Editor also provides handling on timeout. You can set desirable timeout time and the action after its expiration.

To perform any of the actions listed above, use the appropriate boxes of Step Editor.

Other

CheckBox Failure only for serious errors

This option enables reporting successful task ending if minor errors (e.g. extract script was executed with some errors) occurred during the utility running.

CheckBox Log size limitation

Check this option to limit the log file size for the current step and set a preferred value in the edit-box.


Scheduling tasks

Need a delayed or regular task execution? The Scheduling tasks section allows you to configure the schedules for launching your tasks.

  • Managing scheduled tasks
  • Using schedule Editor

Scheduling and Performing tasks - Managing scheduled tasks

See also:

Customizing tasks

Managing logs


Managing scheduled tasks

Task Scheduler allows you to manage your custom tasks configured for scheduled execution.

Scheduling and Performing tasks - Task Scheduler

The list displays the existing scheduled tasks as a grid with the following columns: State, Task Name, Start Date, Last Run Date, Next Run Date, Last Result.

If necessary, you can filter and group the data in grid by any of the columns. The grouping operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Right-click an item within the list to call the context menu allowing you to add a new scheduled task and specify its properties using the Schedule Editor dialog, edit the selected task, delete a task or pause/resume a task that is currently ready/suspended.

You can also use the toolbar buttons to add AddTask /edit EditTask , pause PauseTask /resume LaunchTask , or delete DeleteTask an existing scheduled task.

In the Status area at the bottom of the Task Scheduler window you can find brief information pertaining to the currently selected task.

If more convenient, you can use SQL Studio Agent to suspend/launch tasks. Right-click its icon in the system tray area, then select the Suspend Scheduled Task submenu and tick off the task you need. The reverse action is performed in the same way.

Hint: Ready/suspended/launched tasks are differentiated in the Task Scheduler list by their icons in the State column.

See also:

Using Schedule Editor


Using Schedule Editor

Schedule Editor is opened automatically on adding a new scheduled task and is available on editing an existing one.

To create a task for delayed execution, please select the task to schedule. If you edit an existing task, you may need to change the task itself for the current schedule. You can do it using the Task name field of the Schedule Editor dialog.

Scheduling and Performing tasks - Schedule Editor - Daily

Afterwards you should define the recurrence pattern for the task execution:

RadioButton Daily

RadioButton Weekly

RadioButton Monthly

RadioButton Yearly

Daily

You can set the task to run RadioButton Every X day(s) or RadioButton Every weekday (i.e. except weekend days).

Weekly

The recurrence pattern allows you to schedule the task for running on a specified day of the week (Monday, Tuesday, Wednesday, etc. - check the corresponding box) every X week.

Scheduling and Performing tasks - Schedule Editor - Weekly

For example, you selected to run the task 'Every 3 weeks on Tuesday'. It means that task will be executed exactly on Tuesday once per three weeks.

Monthly

You can set to execute your task on the certain day of the X month; another way is to run the task on the certain day of the week of the definite week of every X month.

Scheduling and Performing tasks - Schedule Editor - Monthly

Yearly

You can select to run the task on a certain day of the definite month (e.g., on June, 14). Another ability allows to make the task run on the first/second/.../last day of the week of a certain month (e.g., on the second Wednesday of April).

Scheduling and Performing tasks - Schedule Editor - Yearly

Range of recurrence

Here you should specify the starting and ending points of the task execution period. Set Start date and Start time and then proceed to the ending bound of the range recurrence.

RadioButton No end date

If this option is selected, the task will be executed perpetually, unless it is deleted/modified.

RadioButton End after...

This option specifies that the task will be run only X times.

RadioButton End by ...

This option specifies the exact date which is the right bound of the recurrence range.

Daily launches

Use the Add Launch and the Delete Launch buttons to add/remove one or several daytime points for the task execution.

See also:

Managing scheduled tasks


Managing logs

To make it easier to control the task execution process or browse its results, the Logs section is provided. Use the log preview to save your time, apply the powerful filter and sorting options provided by the grid.

Scheduling and Performing tasks - Managing logs

The Show logs for drop-down list allows you to filter task logs according to the selected period (All sessions, Today, This week, This month, Last week, Last month, Last 10 days, Last 30 days).

The list displays the task logs as a grid with the following columns: Task Name, Started at, Stopped at, Result.

If necessary, you can filter and group the data in grid by any of the columns. The grouping operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Right-click an item within the list to call the context menu allowing you to save or delete the selected task log, expand/collapse step logs.

You can also use the toolbar buttons to save SaveLog /delete DeleteLog a task log, expand ExpandAll / collapse CollapseAll items in the list.

In the Status area at the bottom of the Log Viewer window you can find brief information pertaining to the currently selected task log. Depending on the log options set it may contain all data from the utility screen and data from utility log file or both. The verbose options are set during step creation process (see Using Step Editor).

See also:

Customizing tasks

Scheduling tasks


Using On-line Resources

All the On-line Resources provided by SQL Management Studio for SQL Server are classified and divided into several sections.

Internet Resources

Offers a number of links concerning SQL Studio and integrant utilities, links to FAQs and online documentation.

SQL Studio Direct

Takes you straight to the latest EMS news section: you are provided with links to the latest sqlmanager.net news, as well as to product information and downloads.

Contacting Support Center

Takes you directly to EMS Support Center. After logging in you can get the answers to your questions. If you are a registered user of EMS software, you are guaranteed to receive a reply from the Support team within 24 hours.

These sections can be toggled by clicking the appropriate items of the Navigation bar.

See also:

Getting Started

Database Management & Manipulation

Scheduling & Performing tasks

Setting program options


Browsing Internet Resources

The Internet Resources section offers a number of links concerning SQL Studio and integrant utilities, links to FAQs and online documentation.

Online Resources - Browsing Internet Resources

Upon a link selection you will be immediately forwarded to the corresponding resource.

See also:

SQL Studio Direct

Support


SQL Studio Direct

The SQL Studio Direct section takes you directly to the latest EMS news column. Using the links, you can get up-to-date news, product information and downloads from sqlmanager.net.

Online Resources - SQL Studio Direct

In the Status area at the bottom of the SQL Studio Direct window you can find the direct link to the page at sqlmanager.net.

See also:

Internet Resources

Support


Contacting Support Center

This section opens EMS Support Center in the built-in browser. After logging in you can get official technical support directly in SQL Management Studio for SQL Server environment.

Note that if you are a registered user of EMS software, you will get a guaranteed reply within 24 hours.

Online Resources - Support Center

See also:

Internet Resources

SQL Studio Direct


Setting program options

This section is intended to show you how you can customize SQL Management Studio for SQL Server. Follow the links below to obtain the information on:

  • Selecting language
  • Customizing interface
  • Customizing menus and toolbars
  • Setting agent options

See also:

Getting Started

Database Management & Manipulation

Scheduling & Performing tasks

Using On-line Resources


Selecting language

If you did not select the program interface language when you started SQL Management Studio for SQL Server for the first time, or you have decided to change the language settings, use the Options | Localization main menu item.

Options - Localization

The Localization section of the Options dialog is provided for managing the localization files of SQL Management Studio for SQL Server.

You can create your own *.lng files similar to those available in the %program_directory%\Studio\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Available Languages

Lists all the languages available for localization and the corresponding *.lng files.

Language Directory

Specify the directory where the *.lng files are stored by default.

Load Languages

This button is used for searching for *.lng files in the Language Directory and adds all of them to the list.

See also:

Customizing interface

Customizing menus and toolbars

Setting agent options


Customizing interface

In order to reach maximum comfort when working with the application, you can change SQL Management Studio for SQL Server look and environment style. The program interface can be easily customized by selecting the Options | Interface main menu item.

Options - Interface

Note: you can apply SQL Studio visual options to all studio applications with the help of the corresponding option.

See also:

Selecting language

Customizing menus and toolbars

Setting agent options


Customizing menus and toolbars

The Customize Toolbars window allows you to select the buttons displayed on the SQL Management Studio for SQL Server toolbars and change their positions.

To call this window, click the down-arrow button at the right-side of any toolbar, then click Add or Remove Buttons and select Customize.

Options - Customizing menus and toolbars

Toolbars

Toolbars

The toolbars of the window from which the Customize was called. Click a box near the toolbar name to show or hide the toolbar.

New

Adds a new toolbar to the toolbar list and to the parent window.

Rename

Renames a user-created toolbar.

Delete

Deletes a user-created toolbar.

Note that any toolbar can be moved and docked to any side of SQL Studio window which is convenient for you.

Commands

This tab allows you to view the list of all the commands available within toolbars of the parent window. Selecting categories in the Categories list box displays commands of the selected category (e.g. 'Register Database' or 'Unregister Database') in the Commands list box. You can pick a command and drag it onto any parent window toolbar to create a button for this command.

Options

Menus show recently used commands first

With this option on the parent window menus drop-down containing only several items available, which have been used recently. To display full menus unselect this option.

Show full menus after a short delay

This option is available only if Menus show recently used commands first is on. It displays full menus after a few seconds of showing only recent items.

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Large Icons

Displays larger icons on the parent window toolbars.

Show ToolTips on toolbars

Shows tips on navigating to the toolbar button.

Show shortcut keys in ToolTips

Shows shortcuts for faster activating the corresponding commands in the button tips.

Menu animations

Select how menus appear in the parent window (None, Random, Unfold, Slide, Fade).

See also:

Selecting language

Customizing interface

Setting agent options


Setting agent options

The Agent options menu allows you to perform various tasks available in SQL Management Studio for SQL Server and specify SQL Studio Agent options.

To call the menu, right-click the Agent icon in the system tray area.

Options - Setting agent options

Using the Agent options menu and its submenus you can call the About dialog, open the main window of SQL Management Studio for SQL Server, run a utility for database management and data manipulation, execute a custom task, suspend a scheduled task, or specify running the Agent at Windows startup. You can also start/stop Task Scheduler service.

See also:

Selecting language

Customizing interface

Customizing menus and toolbars


Using templates

For your convenience the ability to use templates is provided by SQL Management Studio for SQL Server.

Instead of performing a long chain of routine steps all the time you can save all the options of the wizard for future use as a template file. Select the Templates | Save Template drop-down menu item, specify the template file name and set an optional comment for the template file.

When starting the wizard next time, you can load the template by selecting the Templates | Load Template drop-down menu item.


Supported file formats

RadioButton MS Excel 97-2003

The most popular e-table format used by Microsoft® Excel (*.xls). The result files are fully compatible with Microsoft® Excel versions 97-2000, 2003 and XP.

RadioButton MS Access

File of Microsoft® Access format (*.mdb, *.accdb) with an ADO connection used.

RadioButton MS Word 97-2003

One of the most popular text processing formats used by Microsoft® Word (*.doc). The result files are fully compatible with Microsoft® Word versions 97-2000, 2003 and XP.

RadioButton RTF

Rich Text Format (*.rtf) supported by many text processing programs (e.g. WordPad).

RadioButton HTML

Hyper Text Markup Language file format (*.html, *.htm), complete compatibility with HTML 4.0 specification.

RadioButton PDF

A standard format in electronic publishing (*.pdf).

RadioButton Text file

Plain text file format (*.txt).

RadioButton CSV file

Comma-Separated Value file format (*.csv).

RadioButton DIF file

Data Interchange File (*.dif) format.

RadioButton SYLK

Symbolic Links (*.slk) file format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

RadioButton LaTeX

A specific file format (*.tex) which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D.Knut.

RadioButton XML

A markup language for documents containing structured information (*.xml).

RadioButton DBF

Database file format (*.dbf) used by dBASE and a number of xBASE applications.

RadioButton MS Excel

The contemporary e-table format used by Microsoft® Excel (*.xlsx). The result files are fully compatible with Microsoft® Excel 2007.

RadioButton MS Word

The contemporary text processing format used by Microsoft® Word (*.docx). The result files are fully compatible with Microsoft® Word 2007.

RadioButton ODF Spreadsheets

OASIS Open Document Format for Office Applications - open document file format for spreadsheets (*.ods) used by a number of applications including OpenOffice.org and KOffice.

RadioButton ODF text

OASIS Open Document Format for Office Applications - open document file format for word processing (*.odt) documents used by a number of applications including OpenOffice.org and KOffice.


Sorting

SQL Management Studio for SQL Server
  • Index
  • « Prev

Sorting, Grouping, Filtering

Sorting

To perform sorting click the column header to perform ascending or descending sorting of this column values. When sorting is applied for a column, an arrow icon appears to the right of its title;

Grouping

When grouping by a column is applied, all records are displayed as subnodes to the grouping row value as displayed on the screenshot below. If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically.

To apply grouping drag the column header to the gray area at the top.

If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically, and data are grouped by these columns in the order the column headers appear in the Group by area.

Grouping by two columns

To reverse grouping drag the column header back.

The Group by area popup menu allows you to perform: ExpandAll Full Expand and CollapseAll Full Collapse.

Filtering

It is possible to make quick filtering by a specific value, or by blank/non blank field criteria.

To activate quick filter press the button CustomFilter in the upper-right corner of the column header.

To apply manually defined conditions use the Custom item of the drop-down list.

Custom Auto Filter

Pick the logical expression from the lists on the left and define values in the fields on the right. Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string. Relation between these conditions is defined with RadioButton And/ RadioButton Or options.